faad2 2.7-2 source package in Ubuntu

Changelog

faad2 (2.7-2) unstable; urgency=low

  * upload to unstable.

faad2 (2.7-1) experimental; urgency=low

  [ Andres Mejia ]
  * New upstream release. (Closes: #515072)
  * Verified all patches are either applied upstream, or a different
    implementation is used.
    + (Closes: #505901)
    + (Closes: #503657)
  * Switch to quilt.
  * Add -DPIC for CFLAGS.
  * Don't include dpatch.make in debian/rules.
  * Update watch file to default DEHS would use.
  * Bump to using debhelper 7.
  * Use quilt (>= 0.46-7).
  * Update control file.
  * Add DM-Upload-Allowed: yes field.
  * Don't include dummy package anymore.
  * Add in description for libfaad2 that it contains shared library.
  * Move libfaad-dev to the front to be 'default' package debhelper acts
    on.
  * Add ${misc:Depends} for all packages. Remove libc dev packages from
    Depends.
  * Add debug packages. (Closes: #516680)
  * Rewrite debian/rules to use new debhelper and quilt.
  * Rename <package>.files to <package>.install. Be more specific what
    to include in libfaad-dev. Also include .install files for other packages.
  * Add libmp4ff-dev package.
  * Don't include version for rename of libfaad package. Place all debug
    symbols  for binary packages in faad2-dbg.
  * Modify description for libmp4ff-dev.
  * Update address to FSF in debian/copyright.
  * Fix hyphen in manpage. Fixes lintian warning as well.
  * Patch faad2 to create a shared lib for libmp4ff. (Closes: #485373)
  * Allow to pass in more CFLAGS via DEB_CFLAGS.
  * Add in DRM (Digital Radio Mondiale) support.
  * Add Build-Depends of automake, autoconf, and autotools-dev.

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Clean up Build-Depends: libid3-dev was only needed for the obsolete
    XMMS plugin, autotools stuff shouldn't be needed at all.
  * Untagle library file names in the install rules.
  * Revert overriding of CFLAGS, dpkg-buildpackage will choose
    appripriate settings. Revert running the entire autoreconf sequence
    before calling ./configure. Build without DRM support, it has proven
    to break base functionality.
  * Clean up watch file.
  * Make faad2-dbg and libmp4ff-dev depend on libmp4ff0.
  * Improve short description for the libmp4ff\* packages.
  * debian/patches/70_automake-1.9.patch: New patch, run automake-1.9 to
    regenerate Makefile.in with the changes introduced by
    debian/patches/libmp4ff-shared-lib.patch.
  * Do not ship .la files in the development packages.
  * Add reasonable defaults to CFLAGS/CXXFLAGS.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  05 Nov 2009 05:57:35 +0000

Upload details

Uploaded by:
Ubuntu Archive Auto-Sync on 2009-11-05
Uploaded to:
Lucid
Original maintainer:
Debian Multimedia Maintainers
Architectures:
any
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
faad2_2.7.orig.tar.gz 1.1 MiB 9d5e35f104c531ef3ff7f4a514578bdfaff3df99ee35ccccb121b0a859295270
faad2_2.7-2.diff.gz 8.2 KiB c80e13d4508c0fcd6faeee48a158d33c238a61df8ca332343de41e8a99ab572d
faad2_2.7-2.dsc 1.6 KiB ebaa8699b1e29f283b15da9e4a045d52bffcfa0c25981b60f09e1b82056272c8

Available diffs

View changes file

Binary packages built by this source

faad: No summary available for faad in ubuntu lucid.

No description available for faad in ubuntu lucid.

faad2-dbg: No summary available for faad2-dbg in ubuntu lucid.

No description available for faad2-dbg in ubuntu lucid.

libfaad-dev: No summary available for libfaad-dev in ubuntu lucid.

No description available for libfaad-dev in ubuntu lucid.

libfaad2: No summary available for libfaad2 in ubuntu lucid.

No description available for libfaad2 in ubuntu lucid.

libmp4ff-dev: No summary available for libmp4ff-dev in ubuntu lucid.

No description available for libmp4ff-dev in ubuntu lucid.

libmp4ff0: No summary available for libmp4ff0 in ubuntu lucid.

No description available for libmp4ff0 in ubuntu lucid.